Update of /cvsroot/devil-linux/build/scripts/scripts
In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv31859/scripts/scripts
Added Files:
aide.conf denyhosts.init
Log Message:
- updated Python to 2.3.6 (Dr. Alberto Benati / Heiko)
- updated postfix to 2.3.4 (Dr. Alberto Benati / Heiko)
- updated dovecot to 1.0.rc15 (Dr. Alberto Benati / Heiko)
- updated logwatch to 7.3.1-3 (Dr. Alberto Benati / Heiko)
- updated gd to 2.0.33 (Dr. Alberto Benati / Heiko)
- updated libpng to 1.2.13 (Dr. Alberto Benati / Heiko)
- updated aide to 0.12 (Dr. Alberto Benati / Heiko)
- updated awstats to 6.6 (Dr. Alberto Benati / Heiko)
- updated pcre to 6.7 (Dr. Alberto Benati / Heiko)
- added DenyHosts-2.5-3 (Dr. Alberto Benati / Heiko)
- added debianutils 2.8.4 (Dr. Alberto Benati / Heiko)
- added liblockfile_1.06.1 (Dr. Alberto Benati / Heiko)
--- NEW FILE: denyhosts.init ---
#!/bin/sh
#
# denyhosts init.d script
# Alberto Benati <alb...@un...>
#
### BEGIN INIT INFO
# Provides: denyhosts
# Required-Start: $network $syslog $named $sshd
# Required-Stop: $network $syslog $named
# Default-Start: 3 5
# Default-Stop: 0 6
# Short-Description: Start denyhosts
### END INIT INFO
# settings
source /etc/sysconfig/config
set -e
CONFIGNAME="DENYHOSTS"
DESC="DenyHosts"
NAME=denyhosts
DAEMON="/usr/share/$NAME/daemon-control"
PIDFILE="/var/run/$NAME.pid"
CONFIG="/etc/denyhosts/denyhosts.cfg"
PARM=""
# source function library
source /etc/init.d/functions
eval START=\$START_$CONFIGNAME
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
# Force execution if not called by a runlevel directory.
test $link = $base && START=yes
test "$START" = "yes" || exit 0
if [ ! -e $DAEMON ]; then
echo
echo "$DAEMON not found. Did you install the package?"
exit 1
fi
case "$1" in
start)
${DAEMON} start ${PARM}
evaluate_retval
;;
stop)
if [ -e $PIDFILE ]; then
${DAEMON} stop ${PARM}
evaluate_retval
else
echo -n "I can't stop $DESC. Maybe it's NOT runnig?"
print_status warning
fi
;;
restart)
$0 stop
sleep 1
$0 start
;;
condrestart)
${DAEMON} condrestart ${PARM}
;;
status)
${DAEMON} status ${PARM}
;;
*)
echo "Usage: $0 {start|stop|restart|condrestart|status}"
exit 3
;;
esac
exit 0
--- NEW FILE: aide.conf ---
#
# AIDE 0.12-rc1
# Modify by Alberto Benati <alb...@un...>
#
@@ifndef TOPDIR
@@define TOPDIR /
@@endif
# The location of the database to be read.
database=file:/var/lib/aide/aide.db
# The location of the database to be written.
#database_out=sql:host:port:database:login_name:passwd:table
database_out=file:/var/lib/aide/aide.db.new
# Whether to gzip the output to database
# gzip_dbout=no
#verbose=5
verbose=20
#report_url=stdout
#other possibilities
#report_url=stderr
#NOT IMPLEMENTED report_url=mailto:ro...@fo...
#report_url=file:/tmp/some_file.txt
#report_url=syslog:LOG_AUTH
report_url=stdout
#p: permissions
#i: inode
#n: number of links
#u: user
#g: group
#s: size
#b: block count
#m: mtime
#a: atime
#c: ctime
#S: check for growing size
#I: ignore changed filename
#md5: md5 checksum
#sha1: sha1 checksum
#rmd160: rmd160 checksum
#tiger: tiger checksum
#R: p+i+n+u+g+s+m+c+md5
#L: p+i+n+u+g
#E: Empty group
#>: Growing logfile p+u+g+i+n+S
#The following are available if you have mhash support enabled.
#haval: haval checksum
#gost: gost checksum
#crc32: crc32 checksum
# Rule definition
All=R+a+sha1+rmd160
# report_attributes is a special rule definition
# the attributes listed in it are alway displayed for changed files
# in the final report
#report_attributes = u+g
# ignore_list is a special rule definition
# the attributes listed in it are not displayed in the
# final report, it overrules report_attributes where they conflict
#ignore_list = b
# Attributes that can be used to verify that aide in intact
# by people that have downloaded it from the web.
# Let's be paranoid
Norm=s+n+b+md5+sha1+rmd160
# The commented rules are just examples the rest are used by
# make check
Checksums=md5+sha1+rmd160+haval+gost+crc32+tiger
OwnerMode=p+u+g
Size=s+b
InodeData=OwnerMode+n+i+Size
RamdiskData=InodeData-i
StaticFile=m+c+Checksums
Full=InodeData+StaticFile
VarFile=OwnerMode+n
VarDir=OwnerMode+n+i
RotatedLogs=Full+I
Logs=OwnerMode+n+S
LowLogs=Logs-S
LinkedLogs=Logs-n
Etc=s+n+b+md5+sha1+rmd160
Tmp=s+n+b+md5+sha1+rmd160
Chroot=s+n+b+md5+sha1+rmd160
Jail=s+n+b+md5+sha1+rmd160
Var=>
#Selection regexp rule
#@@{TOPDIR}/.* Norm
/etc/.* Etc
/tmp/.* Tmp
/var/.* Var
!/var/lib/aide/.*aide\.db.*
/chroot/.* Chroot
/var/lib/.* Var
/var/log/.* Var
/var/spool/.* Var
|